package com.example.system.model;

import lombok.Data;

import java.util.Date;

@Data
public class ResultCompetitionTable {
    private Long competitionId; // 竞赛ID，对应数据库中的competition_id字段。
    private String competitionName; // 竞赛名称，对应数据库中的competition_name字段。
    private Integer userId; // 对应数据库中的user_id外键。
    private String userName;
    private Date registrationStartTime; // 注册开始时间，对应数据库中的registration_start_time字段。
    private Date registrationEndTime; // 注册结束时间，对应数据库中的registration_end_time字段。
    private String announcementLink; // 公告链接，对应数据库中的announcement_link字段。
    private Integer competitionStatus = 0; // 竞赛状态，对应数据库中的competition_status字段，默认为0。
    private String registrationCount;
}
