package com.example.system.repository;

import com.example.system.model.UserTable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface UserRepository extends JpaRepository<UserTable, Long> {
    // 这里可以定义一些根据业务需求的方法，例如按名字查找用户等
    // 示例：List<UserTable> findByName(String name);
}
