package com.example.system.common;

import java.util.Date;

/**
 * AI竞赛助手会话实体类
 */
public class AiChat {
    private Long chatId;           // 会话ID
    private Long userId;           // 用户ID
    private String userQuestion;   // 用户问题
    private String aiResponse;     // AI回复内容
    private Date chatTime;         // 会话时间
    private String competitionType;// 竞赛类型
    private Integer isDeleted;     // 是否删除(0-未删除，1-已删除)

    // Getter 和 Setter 方法
    public Long getChatId() {
        return chatId;
    }

    public void setChatId(Long chatId) {
        this.chatId = chatId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserQuestion() {
        return userQuestion;
    }

    public void setUserQuestion(String userQuestion) {
        this.userQuestion = userQuestion;
    }

    public String getAiResponse() {
        return aiResponse;
    }

    public void setAiResponse(String aiResponse) {
        this.aiResponse = aiResponse;
    }

    public Date getChatTime() {
        return chatTime;
    }

    public void setChatTime(Date chatTime) {
        this.chatTime = chatTime;
    }

    public String getCompetitionType() {
        return competitionType;
    }

    public void setCompetitionType(String competitionType) {
        this.competitionType = competitionType;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }
}