package com.example.system.common;

import lombok.Data;

/**
 * 图表实体类
 */
@Data
public class Chart {
    /**
     * 主键
     */
    private String id;

    /**
     * 图表名称
     */
    private String name;

    /**
     * 分析目标
     */
    private String goal;

    /**
     * 图表数据（CSV格式）
     */
    private String chartData;

    /**
     * 图表类型
     */
    private String chartType;

    /**
     * 生成的图表配置（Echarts JSON配置）
     */
    private String genChart;

    /**
     * 生成的分析结论
     */
    private String genResult;

    /**
     * 创建人ID
     */
    private Long adminId;

    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 更新时间
     */
    private Long updateTime;
}